%define name 		systemtap
%define date		20080705
%define version 	0.%{date}.1
%define release 	%mkrel 1


Summary: 	Infrastructure to gather information about the running Linux system
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	GPL
Group: 		Development/Kernel
URL: 		http://sourceware.org/systemtap/
Source0: 	%{name}-%{date}.tar.bz2
# trem: this patch are requested because of : http://wiki.mandriva.com/en/Underlinking
# when the configure compile the test for libebl, libbl and libelf need to be added
Patch0:		fix_configure_add_ldl.patch
Patch1:		fix_configure_add_lelf.patch
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root
Buildrequires:	libcap-devel
Buildrequires:	elfutils-static-devel


%description
SystemTap provides free software (GPL) infrastructure to simplify the gathering
of information about the running Linux system. This assists diagnosis of a 
performance or functional problem. SystemTap eliminates the need for the 
developer to go through the tedious and disruptive instrument, recompile, 
install, and reboot sequence that may be otherwise required to collect data.

SystemTap provides a simple command line interface and scripting language for
writing instrumentation for a live running kernel. We are publishing samples, 
as well as enlarging the internal "tapset" script library to aid reuse and 
abstraction. We also plan to support probing userspace applications. We are 
investigating interfacing Systemtap with similar tools such as Frysk, 
Oprofile and LTT.

Current project members include Red Hat, IBM, Intel, and Hitachi.


%prep
# %setup -q -n %{name}-%{date}
%setup -q -n src
# %patch -p0
# %patch1 -p0


%build
# cd src
%configure
%make


%install
rm -rf $RPM_BUILD_ROOT
# cd src
%makeinstall

# we add testsuite with a lot of examples
install -m 766 -d testsuite $RPM_BUILD_ROOT/%{_datadir}/%{name}/


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS INSTALL HACKING README
%{_bindir}/stap*
%{_mandir}/man*/*
%{_libdir}/%{name}/*
%{_datadir}/%{name}/*


%changelog
* Wed Jul 09 2008 trem <trem@mandriva.org> 0.20080705.1-1mdv2009.0
+ Revision: 233150
- update to 20080705

* Mon Jul 07 2008 Oden Eriksson <oeriksson@mandriva.com> 0.20080614.1-2mdv2009.0
+ Revision: 232373
- rebuilt against new libcap

* Fri Jun 20 2008 trem <trem@mandriva.org> 0.20080614.1-1mdv2009.0
+ Revision: 227507
- remove useless BuildRequires
- add patches to fix configure (Underlinking problems)
- add Buildrequires:elfutils-devel
- update to 20080614

* Sun May 18 2008 trem <trem@mandriva.org> 0.20080517.1-1mdv2009.0
+ Revision: 208699
- update to 20080517:x
- add testsuite (include some example)

* Sat May 10 2008 trem <trem@mandriva.org> 0.20080510.1-1mdv2009.0
+ Revision: 205404
- update to 20080510
- update to 20080315

* Sun Feb 17 2008 trem <trem@mandriva.org> 0.20080216.1-1mdv2008.1
+ Revision: 170043
- update to 20080216

* Sun Feb 10 2008 trem <trem@mandriva.org> 0.20080209.1-1mdv2008.1
+ Revision: 164875
- update to 20080209

* Sun Jan 27 2008 trem <trem@mandriva.org> 0.20080126.1-1mdv2008.1
+ Revision: 158876
- update to 20080126

* Sun Jan 27 2008 trem <trem@mandriva.org> 0.20080112.1-2mdv2008.1
+ Revision: 158778
- update to 20080112

* Sun Jan 27 2008 trem <trem@mandriva.org> 0.20071208.1-2mdv2008.1
+ Revision: 158756
- fix provide (don't request a lib that don't exist)

* Thu Jan 03 2008 trem <trem@mandriva.org> 0.20071208.1-1mdv2008.1
+ Revision: 143564
- add elfutils-static-devel as buildrequires
- add elfutils and libcap-devel as buildrequires
- add libelfutils-devel as builrequires
- add libcap-devel as Buildrequires
- import systemtap


* Sun Dec  9 2007  <trem@mandriva.org> 0.20071208.1-1mdv2008.1
- Initial build.
